# Get a customer

GET https://api.oletapp.com/your-store/v1/customers/{id}

The full customer document, including `do_not_sell_share`, the consent flag `customers.list` also carries on each row.

**Requires scope:** `customers:read`

Required scope: `customers:read`

## Parameters

| Name | In | Type | Required |
|---|---|---|---|
| `id` | path | string | yes |

## Response (200)

```
{
  data: {
  address_1: string | null
  address_2: string | null
  city: string | null
  company_name: string | null
  country: string | null
  created_at: string
  custom_field_1: string | null
  custom_field_2: string | null
  custom_field_3: string | null
  custom_field_4: string | null
  customer_code: string
  customer_group_id: string
  date_of_birth: string | null
  do_not_sell_share: boolean
  dont_email: boolean
  dont_sms: boolean
  email: string | null
  enable_loyalty: boolean
  first_name: string
  gender: string | null
  id: string
  is_walk_in: boolean
  last_name: string | null
  mobile: string | null
  note: string | null
  on_account_limit: integer
  phone: string | null
  state: string | null
  tax_id: string | null
  updated_at: string
  version: string
  website: string | null
  zipcode: string | null
}
}
```

Errors follow the standard error envelope: https://getolet.com/resources/developers/errors.md

## Example

```bash
curl -X GET "https://api.oletapp.com/your-store/v1/customers/{id}" \
  -H "Authorization: Bearer olet_live_YOUR_API_KEY"
```
